Package org.jdesktop.animation.timing.interpolation

# Class KeyValues<T>

java.lang.Object
org.jdesktop.animation.timing.interpolation.KeyValues<T>

public class KeyValues<T> extends Object
Stores a list of values that correspond to the times in a `KeyTimes` object. These structures are then used to create a `KeyFrames` object, which is then used to create a `PropertySetter` for the purposes of modifying an object's property over time.

At each of the times in `KeyTimes`, the property will take on the corresponding value in the KeyValues object. Between these times, the property will take on a value based on the interpolation information stored in the KeyFrames object and the `Evaluator` for the type of the values in KeyValues.

This class has built-in support for various known types, as defined in `Evaluator`.

For a simple example using KeyValues to create a KeyFrames and PropertySetter object, see the class header comments in `PropertySetter`.

## Method Summary

Modifier and Type
Method
Description
`static <T> KeyValues<T>`
`create(Evaluator evaluator, T... params)`
Constructs a KeyValues object from a Evaluator and one or more values.
`static <T> KeyValues<T>`
`create(T... params)`
Constructs a KeyValues object from one or more values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static <T> KeyValues<T> create(T... params)
Constructs a KeyValues object from one or more values. The internal Evaluator is automatically determined by the type of the parameters.

Parameters:
  `params` - the values to interpolate between. If there is only one parameter, this is assumed to be a "to" animation where the first value is dynamically determined at runtime when the animation is started.
Throws:
  `IllegalArgumentException` - if an `Evaluator` cannot be found that can interpolate between the value types supplied

### create

public static <T> KeyValues<T> create(Evaluator evaluator, T... params)
Constructs a KeyValues object from a Evaluator and one or more values.

Parameters:
  `params` - the values to interpolate between. If there is only one parameter, this is assumed to be a "to" animation where the first value is dynamically determined at runtime when the animation is started.
Throws:
  `IllegalArgumentException` - if params does not have at least one value.